Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp

Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Xpo.Metadata
Imports System.Drawing
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class Floors
    Inherits BaseObject
    Private _ImmovablesGroups As ImmovablesGroups
    Private _ShortName As String
    Private _UniqueTag As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <RuleRequiredField("Floors-UniqueTag", DefaultContexts.Save)> _
    Property UniqueTag() As String
        Get
            Return _UniqueTag
        End Get
        Set(ByVal value As String)
            SetPropertyValue("UniqueTag", _UniqueTag, value)
        End Set
    End Property
    <Association("ImmovablesGroups-Floors", GetType(ImmovablesGroups))> _
    Property ImmovablesGroups() As ImmovablesGroups
        Get
            Return _ImmovablesGroups
        End Get
        Set(ByVal value As ImmovablesGroups)
            SetPropertyValue("ImmovablesGroups", _ImmovablesGroups, value)
        End Set
    End Property
End Class ' Emeletek
